Bug 469302 - [fix available] Crash when use OOo automation testtool to test file-rename in non-native file dialog
[fix available] Crash when use OOo automation testtool to test file-rename in...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 02:59 EDT by Yolkfull Chow
Modified: 2009-09-02 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch to fix (639 bytes, patch)
2008-10-31 04:56 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 88446 None None None Never

  None (edit)
Description Yolkfull Chow 2008-10-31 02:59:53 EDT
Description of problem:
Use OOO automation test script "filedlg_dialogtest.bas" to test FileRename get crash report. Please refer to OOO issue:http://www.openoffice.org/issues/show_bug.cgi?id=88446.

Following are the backtrace output:
-----------
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/radeon_tp_drv.so
(II) Loading /usr/lib/xorg/modules/drivers/ati_tp_drv.so
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-42.el5-i386
(V)    kernel is: Linux 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:12 EDT 2008 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.5.4.el5_2-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x07cac338: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21338
0x07caccf7: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21cf7
0x00428420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x0484c732: 0x0005f7a8: /usr/lib/openoffice.org/program/libucpfile1.so + 0x21732
0x048470f5: 0x0005f7a8: /usr/lib/openoffice.org/program/libucpfile1.so + 0x1c0f5
0x048476d3: 0x0005f7a8: /usr/lib/openoffice.org/program/libucpfile1.so + 0x1c6d3
0x0483b076: 0x0005f7a8: /usr/lib/openoffice.org/program/libucpfile1.so + 0x10076
0x0483b2b1: 0x0005f7a8: /usr/lib/openoffice.org/program/libucpfile1.so + 0x102b1
0x02ca2011: 0x0007e5e0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1c011
0x02ca47e9: 0x0007e5e0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1e7e9 (ucbhelper::Content::setPropertyValues(com::sun::star::uno::Sequence<rtl::OUString> const&, com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&) + 0x1bb)
0x02ca4bb7: 0x0007e5e0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1ebb7 (ucbhelper::Content::setPropertyValue(rtl::OUString const&, com::sun::star::uno::Any const&) + 0x63)
0x03961c65: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x24ac65
0x03996096: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x27f096 (SvTreeListBox::EditedText(String const&) + 0x46)
0x0396b5b8: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x2545b8
0x0396b61b: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x25461b
0x038011d3: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0xea1d3
0x0396b17e: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x25417e
0x0396ee20: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x257e20
0x0396b29b: 0x0040dcb0: /usr/lib/openoffice.org/program/libsvt680li.so + 0x25429b
0x02ef65f3: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x905f3
0x0301241b: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1ac41b (Accelerator::Activate() + 0x1f)
0x03014068: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1ae068
0x0308477e: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x21e77e
0x030866d9: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x2206d9
0x02eff3bd: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x993bd (Application::PostEventHandler(Application*, void*) + 0x9d)
0x02ef65f3: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x905f3
0x03087196: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221196
0x00ef6261: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x1f261
0x00f1efc8: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x47fc8 (SalDisplay::DispatchInternalEvent() + 0x78)
0x003b8969: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14969
0x003b8998: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14998
0x00e275e1: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x295e1
0x00e29342: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x00e2c31f: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e31f
0x00e2c885: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x003b8798: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14798
0x00f251f1: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4e1f1 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x02efe83f: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9883f (Application::Yield(bool) + 0x57)
0x015d6593: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x55593 (ImplEventWait(unsigned long) + 0x1f)
0x015d8d08: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x57d08 (ImplKeyInput(Window*, KeyEvent&, unsigned char) + 0x6c)
0x015a934b: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x2834b (StatementControl::HandleCommonMethods(Window*) + 0xba7)
0x015acc41: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x2bc41 (StatementControl::Execute() + 0x97b)
0x015d998f: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x5898f (ImplRemoteControl::CommandHdl(Application*) + 0xbb)
0x015d9bb7: 0x000798b0: /usr/lib/openoffice.org/program/libsts680li.so + 0x58bb7 (ImplRemoteControl::LinkStubCommandHdl(void*, void*) + 0x1d)
0x02ef65f3: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x905f3
0x03087196: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221196
0x00ef6261: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x1f261
0x00f1efc8: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x47fc8 (SalDisplay::DispatchInternalEvent() + 0x78)
0x003b8969: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14969
0x003b8998: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14998
0x00e275e1: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x295e1
0x00e29342: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x00e2c31f: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e31f
0x00e2c885: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x003b8798: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14798
0x00f251f1: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4e1f1 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x02efe83f: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9883f (Application::Yield(bool) + 0x57)
0x03020c13: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x1bac13 (Dialog::Execute() + 0x95)
0x068b0f8a: 0x0004804c: /usr/lib/openoffice.org/program/fps_office.uno.so + 0x26f8a
0x068a0f7d: 0x0004804c: /usr/lib/openoffice.org/program/fps_office.uno.so + 0x16f7d
0x0689aab9: 0x0004804c: /usr/lib/openoffice.org/program/fps_office.uno.so + 0x10ab9
0x0689f114: 0x0004804c: /usr/lib/openoffice.org/program/fps_office.uno.so + 0x15114
0x03f7a7ee: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x2077ee
0x03f7ba90: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x208a90
0x03f7d714: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x20a714 (sfx2::FileDialogHelper::Execute(String const&, SvStringsDtor*&, SfxItemSet*&, String&) + 0x32)
0x03f7d780: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x20a780
0x03e1d8d0: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0xaa8d0
0x03e1a3bd: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0xa73bd
0x03f398c1: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c68c1
0x03f37f7e: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c4f7e
0x03f38122: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c5122
0x03f381dd: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c51dd
0x03e19d07: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0xa6d07
0x03f552e0: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e22e0
0x03f55049: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e2049
0x03f55306: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e2306
0x03f55023: 0x003b94f8: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1e2023
0x02ef65f3: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x905f3
0x03087196: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221196
0x00ef6261: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x1f261
0x00f1efc8: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x47fc8 (SalDisplay::DispatchInternalEvent() + 0x78)
0x003b8969: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14969
0x003b8998: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14998
0x00e275e1: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x295e1
0x00e29342: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x00e2c31f: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e31f
0x00e2c885: 0x0009c63c: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0x003b8798: 0x00058ed0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14798
0x00f251f1: 0x00082b5c: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4e1f1 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x02efe83f: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9883f (Application::Yield(bool) + 0x57)
0x02efe8fd: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x988fd (Application::Execute() + 0x2b)
0x047e8600: 0x0006224c: /usr/lib/openoffice.org/program/libsoffice.so + 0x24600 (desktop::Desktop::Main() + 0x1600)
0x02f033d3: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9d3d3
0x02f034e9: 0x003d84fc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x9d4e9 (SVMain() + 0x2d)
0x047e1c5e: 0x0006224c: /usr/lib/openoffice.org/program/libsoffice.so + 0x1dc5e (main + 0xe2)
0x009c4dec: 0x0013ed9c: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x080484a1: 0x00000648: /usr/lib/openoffice.org/program/swriter.bin + 0x4a1 (main + 0x5d)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x008a8000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x00110000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00918000)
	libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x00bb8000)
	libdl.so.2 => /lib/libdl.so.2 (0x008fc000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00b10000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x002ee000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00636000)
	libm.so.6 => /lib/libm.so.6 (0x003bd000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x009dc000)
	libc.so.6 => /lib/libc.so.6 (0x003e4000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00e04000)
	/lib/ld-linux.so.2 (0x00991000)
...end sample ldd details ...
------------

Version-Release number of selected component (if applicable):
openoffice.org-core-2.3.0-6.5.4.el5_2-i386

How reproducible:
Everytime

Steps to Reproduce:
1.  setup OOO automation test env, reset OOO
2.  start testtool to run the script
3. get the crash report
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2008-10-31 04:56:48 EDT
Created attachment 322028 [details]
upstream patch to fix

Fixed in 3.0,  attached is the upstream patch
Comment 2 Caolan McNamara 2008-10-31 05:02:00 EDT
Fix available, so could fix for 5.4. Would also get it for free on a resync to 3.0 or 2.4.1. 

Not quite as serious as it sounds from a user perspective as the default file dialog is the gtk one rather than the built-in one, and its the built in one that has the problem. But as its the one used during test-tools run I can see its a blocker from getting automated tests completed successfully.
Comment 3 Caolan McNamara 2009-03-12 05:52:34 EDT
checked in for >= 2.3.0-6.11
Comment 7 errata-xmlrpc 2009-09-02 05:08:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1248.html

Note You need to log in before you can comment on or make changes to this bug.